> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Transaction Information



## OpenAPI

````yaml en post /transaction/queryTransactions
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /transaction/queryTransactions:
    post:
      tags: []
      summary: 查看交易信息
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryTransRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultQueryTransResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  trans:
                    - transNo: ''
                      settlementCurrency: ''
                      settlementAmount: 0
                      transCurrency: ''
                      transAmount: 0
                      handlingFee: 0
                      handlingFeeCurrency: ''
                      transStatus: ''
                      remark: ''
                      transType: ''
                      transTime: 0
                      merchantName: ''
                  total: 0
                  hasMore: false
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    QueryTransRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户侧用户id
        powerCardId:
          type: string
          description: powerCard卡片id
        channel:
          type: string
          description: 开卡渠道
        pageNum:
          type: integer
          description: 页码
          minimum: 0
          exclusiveMinimum: 0
        pageSize:
          type: integer
          description: 每页数量
          minimum: 1
          exclusiveMinimum: 1
        startTimeStamp:
          type: integer
          description: 查询起始时间
          format: int64
        endTimeStamp:
          type: integer
          description: 查询结束时间
          format: int64
      required:
        - merchantId
        - merchantUserId
        - powerCardId
        - channel
        - pageNum
        - pageSize
    CommonResultQueryTransResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/QueryTransResponse'
          description: 结果数据
    QueryTransResponse:
      type: object
      properties:
        trans:
          type: array
          items:
            $ref: '#/components/schemas/TransactionRecordVO'
            description: 具体交易记录
          description: 交易记录
        total:
          type: integer
          description: 总记录数
          format: int64
        hasMore:
          type: boolean
          description: 是否还有更多记录
    TransactionRecordVO:
      type: object
      properties:
        transNo:
          type: string
          description: powerCard交易订单号
        settlementCurrency:
          type: string
          description: 结算币种
        settlementAmount:
          type: number
          description: 结算金额
        transCurrency:
          type: string
          description: 交易币种
        transAmount:
          type: number
          description: 交易金额
        handlingFee:
          type: number
          description: 手续费
        handlingFeeCurrency:
          type: string
          description: 手续费币种
        transStatus:
          type: string
          description: 交易状态
          enum:
            - pending
            - approved
            - declined
            - cancel
            - fail
            - other
            - unknown
        remark:
          type: string
          description: 备注
        transType:
          type: string
          description: 交易类型
          enum:
            - purchase
            - atm
            - refund
            - handling_fee
            - auth_fee
            - oct
            - reversal
            - partial_refund
            - partial_reversal
            - hold
            - hold_refund
            - unknown
        transTime:
          type: integer
          description: 交易时间
        merchantName:
          type: string
          description: 商家名称

````